org.apache.maven.extension

## Class DefaultExtensionManager

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.extension.DefaultExtensionManager

All Implemented Interfaces:
  ExtensionManager

    public class DefaultExtensionManager
    extends AbstractLogEnabled
    implements ExtensionManager

Used to locate extensions.

Version:
  $Id: DefaultExtensionManager.java 796891 2009-07-22 22:03:26Z jdcasey $
Author:
  Brett Porter, Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DefaultExtensionManager()`

### Method Summary

Methods
`void` `addExtension(Extension extension, MavenProject project, ArtifactRepository localRepository)`
`void` `contextualize(Context context)`
`java.util.Map<java.lang.String,ArtifactHandler>` `getArtifactTypeHandlers()`
`void` `registerWagons()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultExtensionManager

    public DefaultExtensionManager()

### Method Detail

#### addExtension

    public void addExtension(Extension extension,
                    MavenProject project,
                    ArtifactRepository localRepository)
                      throws ArtifactResolutionException,
                             PlexusContainerException,
                             ArtifactNotFoundException

Specified by:
  `addExtension` in interface `ExtensionManager`
Throws:
  `ArtifactResolutionException`
  `PlexusContainerException`
  `ArtifactNotFoundException`

#### registerWagons

    public void registerWagons()

Specified by:
  `registerWagons` in interface `ExtensionManager`

#### getArtifactTypeHandlers

    public java.util.Map<java.lang.String,ArtifactHandler> getArtifactTypeHandlers()

Specified by:
  `getArtifactTypeHandlers` in interface `ExtensionManager`

#### contextualize

    public void contextualize(Context context)
                       throws ContextException

Throws:
  `ContextException`